Index: trunk/doc/guide/new/xml/installing.xml
===================================================================
--- trunk/doc/guide/new/xml/installing.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/installing.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="installing-macports">
+<chapter id="installing">
   <title>Installing MacPorts</title>
 
@@ -9,8 +9,7 @@
   wish to install MacPorts on FreeBSD, first make sure you have gcc and X11
   installed, and then begin with section <link
-  linkend="installing-macports.install.macports.source">Install MacPorts -
-  Source</link>.</para>
-
-  <section id="installing-macports.install.xcode.tools">
+  linkend="installing.source">Install MacPorts - Source</link>.</para>
+
+  <section id="installing.xcode">
     <title>Install Xcode Tools</title>
 
@@ -46,5 +45,5 @@
   </section>
 
-  <section id="installing-macports.install.x11">
+  <section id="installing.x11">
     <title>Install X11</title>
 
@@ -83,5 +82,5 @@
     </note>
 
-    <section>
+    <section id="installing.x11.settings">
       <title>Optional X11 Settings</title>
 
@@ -119,13 +118,12 @@
   </section>
 
-  <section id="installing-macports.install.macports.binary">
+  <section id="installing.binary">
     <title>Install MacPorts - Binary</title>
 
     <para>If you wish to install MacPorts to a path other than
     <filename>/opt/local</filename> do not install the MacPorts binary —skip
-    this section and <link
-    linkend="installing-macports.install.macports.source">install MacPorts
-    from the source code</link>. The MacPorts binary installer will only
-    install to <filename>/opt/local</filename>.</para>
+    this section and <link linkend="installing.source">install MacPorts from
+    the source code</link>. The MacPorts binary installer will only install to
+    <filename>/opt/local</filename>.</para>
 
     <orderedlist>
@@ -146,12 +144,11 @@
 
     <note>
-      <para>A MacPorts <link
-      linkend="installing-macports.selfupdate">selfupdate</link> operation
-      will automatically update to the latest release if the binary .dmg image
-      is behind the latest released tarball.</para>
-    </note>
-  </section>
-
-  <section id="installing-macports.install.macports.source">
+      <para>A MacPorts <link linkend="installing.selfupdate">selfupdate</link>
+      operation will automatically update to the latest release if the binary
+      .dmg image is behind the latest released tarball.</para>
+    </note>
+  </section>
+
+  <section id="installing.source">
     <title>Install MacPorts - Source</title>
 
@@ -181,12 +178,11 @@
 
     <note>
-      <para>A MacPorts <link
-      linkend="installing-macports.selfupdate">selfupdate</link> operation
-      will automatically update to the latest release if the binary .dmg image
-      is behind the latest released tarball.</para>
-    </note>
-  </section>
-
-  <section id="installing-macports.set.bash.shell">
+      <para>A MacPorts <link linkend="installing.selfupdate">selfupdate</link>
+      operation will automatically update to the latest release if the binary
+      .dmg image is behind the latest released tarball.</para>
+    </note>
+  </section>
+
+  <section id="installing.shell">
     <title>Set the Bash Shell</title>
 
@@ -245,12 +241,11 @@
   </section>
 
-  <section id="installing-macports.selfupdate">
+  <section id="installing.selfupdate">
     <title>MacPorts Selfupdate</title>
 
     <para>You must always do a selfupdate after a new MacPorts install, and
     you should also do it frequently thereafter. See <link
-    linkend="using-macports.port.command.selfupdate">selfupdate</link> —one of
-    several <link linkend="using-macports.port.command">port
-    commands</link>.</para>
+    linkend="using.port.selfupdate">selfupdate</link> —one of several <link
+    linkend="using.port">port commands</link>.</para>
   </section>
 </chapter>
Index: trunk/doc/guide/new/xml/internals.xml
===================================================================
--- trunk/doc/guide/new/xml/internals.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/internals.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="macports-internals">
+<chapter id="internals">
   <title>MacPorts Internals</title>
 
@@ -8,5 +8,5 @@
   of MacPorts or learn how to configure it for non-default operation.</para>
 
-  <section id="macports-internals.macports.file.hierarchy">
+  <section id="internals.hierarchy">
     <title>MacPorts File Hierarchy</title>
 
@@ -241,5 +241,5 @@
   </section>
 
-  <section id="macports-internals.configuration.files">
+  <section id="internals.configuration-files">
     <title>Configuration Files</title>
 
@@ -249,5 +249,5 @@
     located in <filename>/opt/local/etc/macports</filename>.</para>
 
-    <section id="macports-internals.configuration.files.sources.conf">
+    <section id="internals.configuration-files.sources-conf">
       <title>sources.conf</title>
 
@@ -257,5 +257,5 @@
     </section>
 
-    <section id="macports-internals.configuration.files.macports.conf">
+    <section id="internals.configuration-files.macports-conf">
       <title>macports.conf</title>
 
@@ -264,5 +264,5 @@
     </section>
 
-    <section id="macports-internals.configuration.files.variants.conf">
+    <section id="internals.configuration-files.variants-conf">
       <title>variants.conf</title>
 
@@ -272,5 +272,5 @@
   </section>
 
-  <section id="macports-internals.port.images">
+  <section id="internals.images">
     <title>Port Images</title>
 
@@ -298,5 +298,5 @@
   </section>
 
-  <section id="macports-internals.macports.apis">
+  <section id="internals.apis">
     <title>MacPorts APIs</title>
 
@@ -306,5 +306,5 @@
     API used by client applications such as the MacPorts port utility.</para>
 
-    <section id="macports-internals.macports.apis.ports">
+    <section id="internals.apis.ports">
       <title>Ports API</title>
 
@@ -350,5 +350,5 @@
     </section>
 
-    <section id="macports-internals.macports.apis.macports">
+    <section id="internals.apis.macports">
       <title>MacPorts API</title>
 
@@ -493,5 +493,5 @@
   </section>
 
-  <section id="macports-internals.macports.registry">
+  <section id="internals.registry">
     <title>The MacPorts Registry</title>
 
@@ -522,5 +522,5 @@
     </itemizedlist>
 
-    <section id="macports-internals.macports.registry.registry.files">
+    <section id="internals.registry.files">
       <title>Registry Files</title>
 
@@ -543,5 +543,5 @@
     </section>
 
-    <section id="macports-internals.macports.registry.registry.api">
+    <section id="internals.registry.api">
       <title>The Registry API</title>
 
Index: trunk/doc/guide/new/xml/intro.xml
===================================================================
--- trunk/doc/guide/new/xml/intro.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/intro.xml	(revision 28261)
@@ -46,5 +46,5 @@
   descended from the Berkeley Software Distribution (BSD).</para>
 
-  <section>
+  <section id="introduction.conventions">
     <title>Document Conventions</title>
 
Index: trunk/doc/guide/new/xml/portfiledev.xml
===================================================================
--- trunk/doc/guide/new/xml/portfiledev.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/portfiledev.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="portfile-development">
+<chapter id="development">
   <title>Portfile Development</title>
 
@@ -8,16 +8,15 @@
   local Portfile repository for development, and creating Portfiles.</para>
 
-  <section id="portfile-development.portfile.introduction">
+  <section id="development.introduction">
     <title>Portfile Introduction</title>
 
     <para>A MacPorts Portfile is a TCL script that usually contains only the
     simple keyword/value combinations and Tcl extensions as described in the
-    <link linkend="portfile-reference">Portfile Reference</link> chapter,
-    though it may also contain arbitrary TCL code. Every port has a
-    corresponding Portfile, but Portfiles do not completely define a port's
-    installation behavior since the MacPorts base has default port
-    installation characteristics coded within it. Therefore Portfiles need
-    only specify required options and, when required, non-default
-    characteristics for a port.</para>
+    <link linkend="reference">Portfile Reference</link> chapter, though it may
+    also contain arbitrary TCL code. Every port has a corresponding Portfile,
+    but Portfiles do not completely define a port's installation behavior
+    since the MacPorts base has default port installation characteristics
+    coded within it. Therefore Portfiles need only specify required options
+    and, when required, non-default characteristics for a port.</para>
 
     <para>A common way for Portfiles to augment or override MacPorts base
@@ -67,14 +66,13 @@
     standard behavior, any installation phase may be augmented using pre-
     and/or post- phases, or even overridden or eliminated. See <link
-    linkend="portfile-development.example.portfiles">Example Portfiles</link>
-    below.</para>
+    linkend="development.examples">Example Portfiles</link> below.</para>
 
     <note>
       <para>For a detailed description of all port phases, see the <link
-      linkend="portfile-reference">Portfile Reference</link> chapter.</para>
+      linkend="reference">Portfile Reference</link> chapter.</para>
     </note>
   </section>
 
-  <section id="portfile-development.local.portfile.repositories">
+  <section id="development.local-repositories">
     <title>Local Portfile Repositories</title>
 
@@ -146,5 +144,5 @@
   </section>
 
-  <section id="portfile-development.creating.a.portfile">
+  <section id="development.creating-portfile">
     <title>Creating a Portfile</title>
 
@@ -202,7 +200,7 @@
         keyword lists maintainer email addresses(s). To hide these addresses
         from spambots, see the more full explanation of the maintainer keyword
-        in the <link linkend="portfile-reference.keywords.global">Global
-        Keywords</link> section of the <link
-        linkend="portfile-reference">Portfile Reference</link> chapter.</para>
+        in the <link linkend="reference.keywords.global">Global
+        Keywords</link> section of the <link linkend="reference">Portfile
+        Reference</link> chapter.</para>
 
         <programlisting>maintainers       julesverne@example.org</programlisting>
@@ -275,5 +273,5 @@
   </section>
 
-  <section id="portfile-development.example.portfiles">
+  <section id="development.examples">
     <title>Example Portfiles</title>
 
@@ -282,5 +280,5 @@
     default phases.</para>
 
-    <section id="portfile-development.example.portfiles.basic.portfile">
+    <section id="development.examples.basic">
       <title>A Basic Portfile</title>
 
@@ -310,5 +308,5 @@
     </section>
 
-    <section id="portfile-development.example.portfiles.pre.post">
+    <section id="development.examples.pre-post">
       <title>Portfile Using Pre- / Post- Phases</title>
 
@@ -325,5 +323,5 @@
     </section>
 
-    <section id="portfile-development.example.portfiles.override">
+    <section id="development.examples.override">
       <title>Portfile that Overrides Default Phases</title>
 
@@ -337,5 +335,5 @@
     </section>
 
-    <section id="portfile-development.example.portfiles.startupitem">
+    <section id="development.examples.startupitem">
       <title>Portfile Using a StartupItem</title>
 
@@ -358,5 +356,5 @@
   </section>
 
-  <section id="portfile-development.port.variants">
+  <section id="development.variants">
     <title>Port Variants</title>
 
@@ -365,5 +363,5 @@
     Portfile using the "variant" keyword and may provide a description.</para>
 
-    <section id="portfile-development.port.variants.modify.options">
+    <section id="development.variants.options">
       <title>Variants to Modify Options</title>
 
@@ -400,5 +398,5 @@
     </section>
 
-    <section id="portfile-development.port.variants.actions.phase">
+    <section id="development.variants.phase">
       <title>Variant Actions in a Phase</title>
 
@@ -422,5 +420,5 @@
     </section>
 
-    <section id="portfile-development.port.variants.default.variants">
+    <section id="development.variants.default">
       <title>Default Variants</title>
 
@@ -439,5 +437,5 @@
   </section>
 
-  <section id="portfile-development.patch.files">
+  <section id="development.patches">
     <title>Patch Files</title>
 
@@ -447,5 +445,5 @@
     functionality.</para>
 
-    <section id="portfile-development.patch.files.portfile.patches">
+    <section id="development.patches.portfile">
       <title>Creating Portfile Patches</title>
 
@@ -508,5 +506,5 @@
     </section>
 
-    <section id="portfile-development.patch.files.source.patches">
+    <section id="development.patches.source">
       <title>Creating Source Code Patches</title>
 
@@ -576,5 +574,5 @@
     </section>
 
-    <section id="portfile-development.patch.files.manually.applying">
+    <section id="development.patches.applying">
       <title>Manually Applying Patches</title>
 
@@ -604,5 +602,5 @@
   </section>
 
-  <section id="portfile-development.portfile.best.practices">
+  <section id="development.practices">
     <title>Portfile Best Practices</title>
 
@@ -610,5 +608,5 @@
     that install smoothly and provide consistency between ports.</para>
 
-    <section>
+    <section id="development.practices.dont-overwrite">
       <title>Don't Overwrite Config Files</title>
 
@@ -616,5 +614,5 @@
     </section>
 
-    <section>
+    <section id="development.practices.install-docs">
       <title>Install Docs and Examples</title>
 
@@ -622,5 +620,5 @@
     </section>
 
-    <section>
+    <section id="development.practices.provide-messages">
       <title>Provide User Messages</title>
 
Index: trunk/doc/guide/new/xml/portfileref.xml
===================================================================
--- trunk/doc/guide/new/xml/portfileref.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/portfileref.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="portfile-reference">
+<chapter id="reference">
   <title>Portfile Reference</title>
 
@@ -9,5 +9,5 @@
   variables, keywords, and Tcl extensions.</para>
 
-  <section id="portfile-reference.port.phases">
+  <section id="reference.phases">
     <title>Port Phases</title>
 
@@ -17,11 +17,10 @@
     install</command> steps, but for applications that do not conform to this
     behavior, installation phases may be declared in a Portfile to <link
-    linkend="portfile-development.example.portfiles.pre.post">augment</link>
-    or <link
-    linkend="portfile-development.example.portfiles.override">override</link>
-    the default behavior as described in the <link
-    linkend="portfile-development">Portfile Development</link> chapter.</para>
-
-    <section id="portfile-reference.port.phases.fetch">
+    linkend="development.examples.pre-post">augment</link> or <link
+    linkend="development.examples.override">override</link> the default
+    behavior as described in the <link linkend="development">Portfile
+    Development</link> chapter.</para>
+
+    <section id="reference.phases.fetch">
       <title>Fetch</title>
 
@@ -31,5 +30,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.checksum">
+    <section id="reference.phases.checksum">
       <title>Checksum</title>
 
@@ -39,5 +38,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.extract">
+    <section id="reference.phases.extract">
       <title>Extract</title>
 
@@ -46,5 +45,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.patch">
+    <section id="reference.phases.patch">
       <title>Patch</title>
 
@@ -61,5 +60,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.configure">
+    <section id="reference.phases.configure">
       <title>Configure</title>
 
@@ -68,5 +67,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.build">
+    <section id="reference.phases.build">
       <title>Build</title>
 
@@ -75,5 +74,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.destroot">
+    <section id="reference.phases.destroot">
       <title>Destroot</title>
 
@@ -115,5 +114,5 @@
     </section>
 
-    <section id="portfile-reference.port.phases.archive">
+    <section id="reference.phases.archive">
       <title>Archive</title>
 
@@ -123,15 +122,15 @@
     </section>
 
-    <section id="portfile-reference.port.phases.install">
+    <section id="reference.phases.install">
       <title>Install</title>
 
       <para>Overview: Copy a port's destrooted files into
       <filename>${prefix}/var/macports/software</filename>. See <link
-      linkend="macports-internals.port.images">Port Images</link> in the <link
-      linkend="macports-internals">MacPorts Internals</link> chapter for
+      linkend="internals.images">Port Images</link> in the <link
+      linkend="internals">MacPorts Internals</link> chapter for
       details.</para>
     </section>
 
-    <section id="portfile-reference.port.phases.activate">
+    <section id="reference.phases.activate">
       <title>Activate</title>
 
@@ -143,5 +142,5 @@
   </section>
 
-  <section id="portfile-reference.dependencies">
+  <section id="reference.dependencies">
     <title>Dependencies</title>
 
@@ -160,5 +159,5 @@
     library and build dependencies also, but not its run dependencies.</para>
 
-    <section id="portfile-reference.dependencies.dependslib">
+    <section id="reference.dependencies.dependslib">
       <title>depends_lib</title>
 
@@ -169,5 +168,5 @@
     </section>
 
-    <section id="portfile-reference.dependencies.dependsbuild">
+    <section id="reference.dependencies.dependsbuild">
       <title>depends_build</title>
 
@@ -178,5 +177,5 @@
     </section>
 
-    <section id="portfile-reference.dependencies.dependsrun">
+    <section id="reference.dependencies.dependsrun">
       <title>depends_run</title>
 
@@ -187,5 +186,5 @@
     </section>
 
-    <section id="portfile-reference.dependencies.nonport">
+    <section id="reference.dependencies.nonport">
       <title>Non-Port Dependencies</title>
 
@@ -217,5 +216,5 @@
   </section>
 
-  <section id="portfile-reference.startupitems">
+  <section id="reference.startupitems">
     <title>StartupItems</title>
 
@@ -330,5 +329,5 @@
   </section>
 
-  <section id="portfile-reference.variables">
+  <section id="reference.variables">
     <title>Variables</title>
 
@@ -336,5 +335,5 @@
     used within Portfiles.</para>
 
-    <section id="portfile-reference.variables.general">
+    <section id="reference.variables.general">
       <title>General</title>
 
@@ -463,5 +462,5 @@
     </section>
 
-    <section id="portfile-reference.variables.portgroup">
+    <section id="reference.variables.portgroup">
       <title>PortGroup Variables</title>
 
@@ -676,5 +675,5 @@
   </section>
 
-  <section id="portfile-reference.keywords">
+  <section id="reference.keywords">
     <title>Keywords</title>
 
@@ -694,5 +693,5 @@
     phase.</para>
 
-    <section id="portfile-reference.keywords.append.delete">
+    <section id="reference.keywords.append-delete">
       <title>Using -append and -delete Keywords</title>
 
@@ -769,5 +768,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.global">
+    <section id="reference.keywords.global">
       <title>Global Keywords</title>
 
@@ -963,5 +962,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.fetch">
+    <section id="reference.keywords.fetch">
       <title>Fetch</title>
 
@@ -1104,5 +1103,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.checksum">
+    <section id="reference.keywords.checksum">
       <title>Checksum</title>
 
@@ -1128,5 +1127,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.extract">
+    <section id="reference.keywords.extract">
       <title>Extract</title>
 
@@ -1216,5 +1215,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.patch">
+    <section id="reference.keywords.patch">
       <title>Patch</title>
 
@@ -1240,5 +1239,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.configure">
+    <section id="reference.keywords.configure">
       <title>Configure</title>
 
@@ -1352,5 +1351,5 @@
       </variablelist>
 
-      <section>
+      <section id="reference.keywords.configure.automake-autoconf">
         <title>Automake and Autoconf</title>
 
@@ -1448,5 +1447,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.build">
+    <section id="reference.keywords.build">
       <title>Build</title>
 
@@ -1517,5 +1516,5 @@
     </section>
 
-    <section id="portfile-reference.keywords.destroot">
+    <section id="reference.keywords.destroot">
       <title>Destroot</title>
 
@@ -1631,5 +1630,5 @@
   </section>
 
-  <section id="portfile-reference.tcl.extensions">
+  <section id="reference.tcl-extensions">
     <title>Tcl Extensions</title>
 
Index: trunk/doc/guide/new/xml/project.xml
===================================================================
--- trunk/doc/guide/new/xml/project.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/project.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="macports-project">
+<chapter id="project">
   <title>MacPorts Project</title>
 
@@ -14,5 +14,5 @@
   account to create tickets.</para>
 
-  <section id="macports-project.creating.trac.tickets">
+  <section id="project.tickets">
     <title>Creating Trac Tickets</title>
 
@@ -32,5 +32,5 @@
     </screenshot>
 
-    <section id="macports-project.creating.trac.tickets.guidelines">
+    <section id="project.tickets.guidelines">
       <title>Trac Ticket Guidelines</title>
 
@@ -235,5 +235,5 @@
   </section>
 
-  <section id="macports-project.contributing">
+  <section id="project.contributing">
     <title>Contributing to MacPorts</title>
 
@@ -244,5 +244,5 @@
     documentation, or alternatively add this to the following? -->
 
-    <section>
+    <section id="project.contributing.new">
       <title>New Ports</title>
 
@@ -271,5 +271,5 @@
     </section>
 
-    <section>
+    <section id="project.contributing.updates">
       <title>Port Updates</title>
 
@@ -306,5 +306,5 @@
   </section>
 
-  <section id="macports-project.port.update.policies">
+  <section id="project.update-policies">
     <title>Port Update Policies</title>
 
@@ -316,5 +316,5 @@
     below.</para>
 
-    <section id="macports-project.port.update.policies.nonmaintainer">
+    <section id="project.update-policies.nonmaintainer">
       <title>Non-Maintainer Port Updates</title>
 
@@ -375,5 +375,5 @@
     </section>
 
-    <section id="macports-project.port.update.policies.abandonment">
+    <section id="project.update-policies.abandonment">
       <title>Port Abandonment</title>
 
@@ -404,5 +404,5 @@
   </section>
 
-  <section id="macports-project.macports.membership">
+  <section id="project.membership">
     <title>MacPorts Membership</title>
 
Index: trunk/doc/guide/new/xml/using.xml
===================================================================
--- trunk/doc/guide/new/xml/using.xml	(revision 28223)
+++ trunk/doc/guide/new/xml/using.xml	(revision 28261)
@@ -2,5 +2,5 @@
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
-<chapter id="using-macports">
+<chapter id="using">
   <title>Using MacPorts</title>
 
@@ -9,5 +9,5 @@
   server.</para>
 
-  <section id="using-macports.port.command">
+  <section id="using.port">
     <title>The port Command</title>
 
@@ -17,5 +17,5 @@
     install and manage ports.</para>
 
-    <section id="using-macports.port.command.selfupdate">
+    <section id="using.port.selfupdate">
       <title>selfupdate</title>
 
@@ -53,5 +53,5 @@
     </section>
 
-    <section id="using-macports.port.command.sync">
+    <section id="using.port.sync">
       <title>sync</title>
 
@@ -62,5 +62,5 @@
     </section>
 
-    <section id="using-macports.port.command.list">
+    <section id="using.port.list">
       <title>list</title>
 
@@ -71,5 +71,5 @@
     </section>
 
-    <section id="using-macports.port.command.search">
+    <section id="using.port.search">
       <title>search</title>
 
@@ -83,5 +83,5 @@
     </section>
 
-    <section id="using-macports.port.command.info">
+    <section id="using.port.info">
       <title>info</title>
 
@@ -100,5 +100,5 @@
     </section>
 
-    <section id="using-macports.port.command.deps">
+    <section id="using.port.deps">
       <title>deps</title>
 
@@ -117,5 +117,5 @@
     </section>
 
-    <section id="using-macports.port.command.variants">
+    <section id="using.port.variants">
       <title>variants</title>
 
@@ -123,6 +123,5 @@
       variations of a port are available before you install it. Variants are a
       way for port authors to provide options that may be invoked at install
-      time. See <link
-      linkend="using-macports.port.variants.invoking.variants">Invoking Port
+      time. See <link linkend="using.variants.invoking">Invoking Port
       Variants</link> below to install ports that have variants.</para>
 
@@ -136,10 +135,10 @@
     </section>
 
-    <section id="using-macports.port.command.install">
+    <section id="using.port.install">
       <title>install</title>
 
       <para>The option <option>install</option> is used to install a port. See
-      <link linkend="using-macports.port.variants.invoking.variants">Invoking
-      Port Variants</link> below to install ports that have variants.</para>
+      <link linkend="using.variants.invoking">Invoking Port Variants</link>
+      below to install ports that have variants.</para>
 
       <programlisting><prompt>%%</prompt> <userinput>sudo port install nmap</userinput></programlisting>
@@ -153,5 +152,5 @@
     </section>
 
-    <section id="using-macports.port.command.clean">
+    <section id="using.port.clean">
       <title>clean</title>
 
@@ -170,5 +169,5 @@
     </section>
 
-    <section id="using-macports.port.command.uninstall">
+    <section id="using.port.uninstall">
       <title>uninstall</title>
 
@@ -189,5 +188,5 @@
     </section>
 
-    <section id="using-macports.port.command.contents">
+    <section id="using.port.contents">
       <title>contents</title>
 
@@ -205,5 +204,5 @@
     </section>
 
-    <section id="using-macports.port.command.installed">
+    <section id="using.port.installed">
       <title>installed</title>
 
@@ -227,5 +226,5 @@
     </section>
 
-    <section id="using-macports.port.command.outdated">
+    <section id="using.port.outdated">
       <title>outdated</title>
 
@@ -243,5 +242,5 @@
     </section>
 
-    <section id="using-macports.port.command.upgrade">
+    <section id="using.port.upgrade">
       <title>upgrade</title>
 
@@ -265,12 +264,9 @@
         <para>The <option>upgrade</option> option by default does not
         uninstall an upgraded port —it deactivates it. See section <link
-        linkend="macports-internals.port.images">Port Images</link>, and also
-        <link
-        linkend="portfile-reference.port.phases.destroot">Destroot</link> and
-        <link
-        linkend="portfile-reference.port.phases.activate">Activate</link>
-        phases in <link linkend="portfile-reference.port.phases">Port
-        Phases</link>. If you wish to uninstall the old version use the -u
-        option.</para>
+        linkend="internals.images">Port Images</link>, and also <link
+        linkend="reference.phases.destroot">Destroot</link> and <link
+        linkend="reference.phases.activate">Activate</link> phases in <link
+        linkend="reference.phases">Port Phases</link>. If you wish to
+        uninstall the old version use the -u option.</para>
 
         <programlisting><prompt>%%</prompt> <userinput>port -u upgrade vile</userinput></programlisting>
@@ -278,5 +274,5 @@
     </section>
 
-    <section id="using-macports.port.command.dependents">
+    <section id="using.port.dependents">
       <title>dependents</title>
 
@@ -293,5 +289,5 @@
     </section>
 
-    <section id="using-macports.port.command.livecheck">
+    <section id="using.port.livecheck">
       <title>livecheck</title>
 
@@ -300,5 +296,5 @@
   </section>
 
-  <section id="using-macports.port.variants">
+  <section id="using.variants">
     <title>Port Variants</title>
 
@@ -320,5 +316,5 @@
     </note>
 
-    <section id="using-macports.port.variants.invoking.variants">
+    <section id="using.variants.invoking">
       <title>Invoking Variants</title>
 
@@ -340,9 +336,9 @@
     </section>
 
-    <section id="using-macports.port.variants.negating.default.variants">
+    <section id="using.variants.negating">
       <title>Negating Default Variants</title>
 
       <para>For an explanation of default variants see <link
-      linkend="portfile-development.port.variants">Port Variants</link>.
+      linkend="development.variants">Port Variants</link>.
       Default variants are optional, and not all ports using variants have
       them. For ports with default variants, you may install a port without
@@ -362,5 +358,5 @@
   </section>
 
-  <section id="using-macports.common.tasks">
+  <section id="using.common-tasks">
     <title>Common Tasks</title>
 
@@ -369,5 +365,5 @@
   </section>
 
-  <section id="using-macports.port.binaries">
+  <section id="using.binaries">
     <title>Port Binaries</title>
 
@@ -376,5 +372,5 @@
     types of binaries: archives and packages.</para>
 
-    <section id="using-macports.port.binaries.binary.archives">
+    <section id="using.binaries.archives">
       <title>Binary Archives</title>
 
@@ -420,5 +416,5 @@
     </section>
 
-    <section id="using-macports.port.binaries.binary.packages">
+    <section id="using.binaries.binary-packages">
       <title>Binary Packages</title>
 
@@ -446,5 +442,5 @@
     </section>
 
-    <section id="using-macports.port.binaries.port.source.packages">
+    <section id="using.binaries.source-packages">
       <title>Port Source Packages</title>
 
@@ -458,5 +454,5 @@
   </section>
 
-  <section id="using-macports.rsync.replication.servers">
+  <section id="using.rsync-replication">
     <title>Rsync Replication Servers</title>
 
@@ -468,5 +464,5 @@
     local network perform selfupdates.</para>
 
-    <section id="using-macports.rsync.replication.servers.rsync.server.setup">
+    <section id="using.rsync-replication.server-setup">
       <title>Rsync Server Setup</title>
 
@@ -521,5 +517,5 @@
     </section>
 
-    <section id="using-macports.rsync.replication.servers.rsync.client.setup">
+    <section id="using.rsync-replication.client-setup">
       <title>Rsync Client Setup</title>
 