Index: trunk/dports/mail/postgrey/Portfile
===================================================================
--- trunk/dports/mail/postgrey/Portfile	(revision 28263)
+++ trunk/dports/mail/postgrey/Portfile	(revision 28264)
@@ -2,9 +2,10 @@
 
 PortSystem	 1.0
+
 name		 postgrey
-version		 1.29
+version		 1.30
 categories	 mail
 maintainers	 cbellot@sky.fr
-description	 Postfix policy server implementing greylisting 
+description	 Postfix policy server implementing greylisting
 long_description When a request for delivery of a mail is received by \
 		 Postfix via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT \
@@ -15,12 +16,13 @@
 		 however required per RFC.
 platforms	 darwin
-master_sites	 http://postgrey.schweikert.ch/pub \
-		 http://postgrey.schweikert.ch/pub/old
-checksums        md5 42d58fea95b173b9809c53c3bc232457
+homepage	 http://postgrey.schweikert.ch/
+master_sites	 ${homepage}pub \
+		 ${homepage}pub/old
+checksums        md5 5698c196a5874eb963a374d8aab183ca
 
 build.target
-depends_lib-append	port:p5-io-multiplex \
-			port:p5-net-server \
-			port:p5-berkeley-db
+depends_lib-append	port:p5-io-multiplex
+depends_lib-append	port:p5-net-server
+depends_lib-append	port:p5-berkeley-db
 
 startupitem.create      yes
@@ -28,26 +30,20 @@
 startupitem.stop        "${prefix}/share/postgrey/postgrey.sh stop"
 
-use_configure    no
-build {}
-
-post-patch {
-  reinplace "s|/usr/bin/perl|${prefix}/bin/perl|g" \
-	${worksrcpath}/postgrey \
-	${worksrcpath}/contrib/postgreyreport
-  reinplace "s|/etc/postfix|${prefix}/etc/postgrey|g" \
-	${worksrcpath}/postgrey \
-	${worksrcpath}/postgrey_whitelist_clients \
-	${worksrcpath}/postgrey_whitelist_recipients \
-	${worksrcpath}/contrib/postgreyreport
-  reinplace "s|/etc/main.cf|postfix's main.cf|g" \
-	${worksrcpath}/postgrey
+configure {
+  cd ${worksrcpath}
+  system "echo all: > Makefile"
+  reinplace "s|/usr/bin/perl|${prefix}/bin/perl|g" postgrey \
+	contrib/postgreyreport
+  reinplace "s|/etc/postfix|${prefix}/etc/postgrey|g" postgrey \
+	postgrey_whitelist_clients postgrey_whitelist_recipients \
+	contrib/postgreyreport
+  reinplace "s|/etc/main.cf|postfix's main.cf|g" postgrey
   reinplace "s|/var/spool/postfix/postgrey|${prefix}/var/spool/postgrey|g" \
-	${worksrcpath}/postgrey \
-	${worksrcpath}/contrib/postgreyreport
+	postgrey contrib/postgreyreport
 }
-
-destroot { 
+destroot {
   adduser postgrey realname=Postgrey\ Server
   addgroup postgrey
+  cd ${worksrcpath}
   file mkdir ${destroot}${prefix}/etc/postgrey
   file mkdir ${destroot}${prefix}/share/postgrey
@@ -62,15 +58,15 @@
 	${destroot}${prefix}/var/run/postgrey \
 	${destroot}${prefix}/etc/postgrey
-  system "pod2man --section=8 ${worksrcpath}/postgrey > \
+  system "pod2man --section=8 postgrey > \
 	${destroot}${prefix}/share/man/man8/postgrey.8"
-  system "pod2man --section=1 ${worksrcpath}/contrib/postgreyreport > \
+  system "pod2man --section=1 contrib/postgreyreport > \
 	${destroot}${prefix}/share/man/man1/postgreyreport.1"
-  xinstall -m 755 -c ${worksrcpath}/contrib/postgreyreport \
+  xinstall -m 755 -c contrib/postgreyreport \
 	${destroot}${prefix}/bin/postgreyreport
-  xinstall -m 644 -W ${worksrcpath} README README.exim Changes COPYING \
+  xinstall -m 644 -c README README.exim Changes COPYING \
 	${destroot}${prefix}/share/doc/postgrey
-  xinstall -m 644 ${portpath}/files/postgrey.conf \
+  xinstall -m 644 -c ${portpath}/files/postgrey.conf \
 	${destroot}${prefix}/etc/postgrey/postgrey.conf.sample
-  xinstall -m 755 ${portpath}/files/postgrey.sh \
+  xinstall -m 755 -c ${portpath}/files/postgrey.sh \
 	${destroot}${prefix}/share/postgrey
   reinplace "s|__PREFIX|${prefix}|g" \
@@ -78,7 +74,7 @@
   xinstall -m 4755 -o postgrey -g postgrey -c postgrey \
 	${destroot}${prefix}/sbin/postgrey
-  xinstall -m 644 ${worksrcpath}/postgrey_whitelist_clients \
+  xinstall -m 644 -c postgrey_whitelist_clients \
 	${destroot}${prefix}/etc/postgrey
-  xinstall -m 644 ${worksrcpath}/postgrey_whitelist_recipients \
+  xinstall -m 644 -c postgrey_whitelist_recipients \
 	${destroot}${prefix}/etc/postgrey/postgrey_whitelist_recipients.default
 }
@@ -101,5 +97,5 @@
 If you are using postfix, you should add to your main.cf a line:
   check_policy_service inet:127.0.0.1:60000
-in the smtpd_recipient_restrictions configuration (after 
+in the smtpd_recipient_restrictions configuration (after
 reject_unauth_destination and other rules) and reload postfix daemon.
 
Index: trunk/dports/mail/postgrey/files/postgrey.sh
===================================================================
--- trunk/dports/mail/postgrey/files/postgrey.sh	(revision 28263)
+++ trunk/dports/mail/postgrey/files/postgrey.sh	(revision 28264)
@@ -37,4 +37,6 @@
 start)
   echo "starting postgrey"
+  # db cleanup because files may be unusable in some cases
+  rm -f __PREFIX/var/spool/postgrey/__db.*
   unset PATH
   cd /