Index: trunk/www/admin/add.php
===================================================================
--- trunk/www/admin/add.php	(revision 28303)
+++ trunk/www/admin/add.php	(revision 28314)
@@ -4,4 +4,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
     print_header('MacPorts | Add news', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/admin/edit.php
===================================================================
--- trunk/www/admin/edit.php	(revision 28303)
+++ trunk/www/admin/edit.php	(revision 28314)
@@ -4,4 +4,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
     print_header('MacPorts | Edit news', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/admin/index.php
===================================================================
--- trunk/www/admin/index.php	(revision 28303)
+++ trunk/www/admin/index.php	(revision 28314)
@@ -3,4 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     print_header('MacPorts Site Administration', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/admin/list.php
===================================================================
--- trunk/www/admin/list.php	(revision 28303)
+++ trunk/www/admin/list.php	(revision 28314)
@@ -4,4 +4,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
     print_header('MacPorts | List all news', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/admin/rss.php
===================================================================
--- trunk/www/admin/rss.php	(revision 28303)
+++ trunk/www/admin/rss.php	(revision 28314)
@@ -3,3 +3,4 @@
   include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
   create_rss();
+  /* $Id$ */
 ?>
Index: trunk/www/archives.php
===================================================================
--- trunk/www/archives.php	(revision 28303)
+++ trunk/www/archives.php	(revision 28314)
@@ -4,4 +4,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
     print_header('MacPorts Home', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/downloads.php
===================================================================
--- trunk/www/downloads.php	(revision 28303)
+++ trunk/www/downloads.php	(revision 28314)
@@ -3,4 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     print_header('MacPorts Downloads', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/emit_portfile.php
===================================================================
--- trunk/www/emit_portfile.php	(revision 28303)
+++ trunk/www/emit_portfile.php	(revision 28314)
@@ -5,4 +5,5 @@
 
 $portname = basename(dirname($_SERVER['PATH_INFO']));
+/* $Id$ */
 ?>
 
Index: trunk/www/getmp.php
===================================================================
--- trunk/www/getmp.php	(revision 28303)
+++ trunk/www/getmp.php	(revision 28314)
@@ -3,4 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     print_header('Get MacPorts', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/help.php
===================================================================
--- trunk/www/help.php	(revision 28303)
+++ trunk/www/help.php	(revision 28314)
@@ -3,4 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     print_header('Get Help', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/includes/email.inc
===================================================================
--- trunk/www/includes/email.inc	(revision 28303)
+++ trunk/www/includes/email.inc	(revision 28314)
@@ -1,5 +1,5 @@
 <?php
 
-# $Id $
+# $Id$
 # Copyright (c) 2004, OpenDarwin
 
Index: trunk/www/includes/footer.inc
===================================================================
--- trunk/www/includes/footer.inc	(revision 28303)
+++ trunk/www/includes/footer.inc	(revision 28314)
@@ -1,2 +1,3 @@
+<!-- $Id$ -->
     <div id="footer">
         <span class="languages">English, <a href="/macports/fr/">Fran&ccedil;ais</a>, <a href="/macports/es/">Espa&ntilde;ol</a>,
Index: trunk/www/includes/header.inc
===================================================================
--- trunk/www/includes/header.inc	(revision 28303)
+++ trunk/www/includes/header.inc	(revision 28314)
@@ -1,2 +1,3 @@
+<!-- $Id$ -->
       <div id="nav">
 	<div id="logo">
Index: trunk/www/includes/lang.inc
===================================================================
--- trunk/www/includes/lang.inc	(revision 28303)
+++ trunk/www/includes/lang.inc	(revision 28314)
@@ -1,2 +1,3 @@
+<!-- $Id$ -->
       <p id="lang">[ <a href="/macports/">English</a>, <a
 	href="/macports/ja/">Japanese</a>, <a href="/macports/fr/">Fran&ccedil;ais</a>, <a
Index: trunk/www/index.php
===================================================================
--- trunk/www/index.php	(revision 28303)
+++ trunk/www/index.php	(revision 28314)
@@ -4,4 +4,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
     print_header('MacPorts Home', 'utf-8');
+    /* $Id$ */
   ?>
 
Index: trunk/www/ports.php
===================================================================
--- trunk/www/ports.php	(revision 28303)
+++ trunk/www/ports.php	(revision 28314)
@@ -6,4 +6,5 @@
 	$by = isset($_GET['by']) ? $_GET['by'] : '';
 	$substr = isset($_GET['substr']) ? $_GET['substr'] : '';
+        /* $Id$ */
 ?>
 	<center>