Index: trunk/www/archives.php
===================================================================
--- trunk/www/archives.php	(revision 28315)
+++ trunk/www/archives.php	(revision 28320)
@@ -3,5 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
-    print_header('MacPorts Home', 'utf-8');
+    print_header('MacPorts -- News Archive', 'utf-8');
     /* $Id$ */
   ?>
Index: trunk/www/downloads.php
===================================================================
--- trunk/www/downloads.php	(revision 28315)
+++ trunk/www/downloads.php	(revision 28320)
@@ -2,5 +2,5 @@
     $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
-    print_header('MacPorts Downloads', 'utf-8');
+    print_header('MacPorts -- Downloads', 'utf-8');
     /* $Id$ */
   ?>
Index: trunk/www/getmp.php
===================================================================
--- trunk/www/getmp.php	(revision 28315)
+++ trunk/www/getmp.php	(revision 28320)
@@ -2,5 +2,5 @@
     $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
-    print_header('Get MacPorts', 'utf-8');
+    print_header('MacPorts -- Download & Installation', 'utf-8');
     /* $Id$ */
   ?>
Index: trunk/www/help.php
===================================================================
--- trunk/www/help.php	(revision 28315)
+++ trunk/www/help.php	(revision 28320)
@@ -2,5 +2,5 @@
     $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
-    print_header('Get Help', 'utf-8');
+    print_header('MacPorts -- Help', 'utf-8');
     /* $Id$ */
   ?>
Index: trunk/www/includes/header.inc
===================================================================
--- trunk/www/includes/header.inc	(revision 28315)
+++ trunk/www/includes/header.inc	(revision 28320)
@@ -15,8 +15,8 @@
 
 	    if($PHP_SELF == $home) {
-	      echo "<li class=\"selected\"><a href=\"/macports/index.php\" title=\"MacPorts Home\">MacPorts Home</a></li>\n";
+	      echo "<li class=\"selected\"><a href=\"/macports/index.php\" title=\"Home\">Home</a></li>\n";
 	    }
 	    else {
-	      echo "<li><a href=\"/macports/index.php\" title=\"MacPorts Home\">MacPorts Home</a></li>\n";
+	      echo "<li><a href=\"/macports/index.php\" title=\"Home\">Home</a></li>\n";
 	    }
 	    if($PHP_SELF == $getmp) {
@@ -27,10 +27,10 @@
 	    }
 	  ?>
-	    <li class="last"><a href="http://trac.macports.org/" title="Bugzilla">Support & Development</a></li>
+	    <li class="last"><a href="http://trac.macports.org/" title="Support & Development">Support & Development</a></li>
 	  </ul>
 	</div>
 	<div id="r">
 	  <ul>
-	    <li><a href="/macports/docs/" title="Documentation">Documentation</a></li>
+	    <li><a href="http://geeklair.net/new_macports_guide/" title="Documentation">Documentation</a></li>
 	    <?php
 	      if($PHP_SELF == $ports) {
@@ -41,8 +41,8 @@
 	      }
 	      if($PHP_SELF == $help) {
-		echo "<li class=\"sellast\"><a href=\"/macports/help.php\" title=\"Get Help\">Get Help</a></li>\n";
+		echo "<li class=\"sellast\"><a href=\"/macports/help.php\" title=\"Help\">Help</a></li>\n";
 	      }
 	      else {
-		echo "<li class=\"last\"><a href=\"/macports/help.php\" title=\"Get Help\">Get Help</a></li>\n";
+		echo "<li class=\"last\"><a href=\"/macports/help.php\" title=\"Help\">Help</a></li>\n";
 	      }
 	    ?>
Index: trunk/www/index.php
===================================================================
--- trunk/www/index.php	(revision 28315)
+++ trunk/www/index.php	(revision 28320)
@@ -3,5 +3,5 @@
     include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
     include_once("$DOCUMENT_ROOT/macports/includes/news.inc");
-    print_header('MacPorts Home', 'utf-8');
+    print_header('MacPorts -- Home', 'utf-8');
     /* $Id$ */
   ?>
Index: trunk/www/ports.php
===================================================================
--- trunk/www/ports.php	(revision 28315)
+++ trunk/www/ports.php	(revision 28320)
@@ -3,5 +3,5 @@
 	include_once("$DOCUMENT_ROOT/macports/includes/common.inc");
 	include_once("$DOCUMENT_ROOT/macports/includes/email.inc");
-	print_header('Available Ports', 'utf-8');
+	print_header('MacPorts -- Available Ports', 'utf-8');
 	$by = isset($_GET['by']) ? $_GET['by'] : '';
 	$substr = isset($_GET['substr']) ? $_GET['substr'] : '';