Index: trunk/dports/sysutils/yum/Portfile
===================================================================
--- trunk/dports/sysutils/yum/Portfile	(revision 28335)
+++ trunk/dports/sysutils/yum/Portfile	(revision 28336)
@@ -4,5 +4,5 @@
 
 name		yum
-version		3.2.2
+version		3.2.3
 platforms	darwin
 categories	sysutils archivers
@@ -17,5 +17,5 @@
 homepage	http://linux.duke.edu/projects/yum/
 master_sites	${homepage}download/3.2/
-checksums	md5 c6a9e8cc846fe9d080d61bd1b2146cfc
+checksums	md5 89cf296107d580655aaf83fb7206edfc
 
 patchfiles	patch-prefix.diff patch-translate.py
@@ -53,2 +53,7 @@
 		${destroot}${prefix}/var/run
 }
+
+livecheck.check	regex
+# get the last modified tarball
+livecheck.url	${master_sites}?C=M\;O=D
+livecheck.regex	${name}-(\[0-9\\.\]+)${extract.suffix}
Index: trunk/dports/sysutils/yum/files/patch-prefix.diff
===================================================================
--- trunk/dports/sysutils/yum/files/patch-prefix.diff	(revision 28335)
+++ trunk/dports/sysutils/yum/files/patch-prefix.diff	(revision 28336)
@@ -16,4 +16,21 @@
      import yummain
      yummain.main(sys.argv[1:])
+--- bin/yum-updatesd.py.orig	2007-07-25 17:05:44.000000000 +0200
++++ bin/yum-updatesd.py	2007-08-28 17:16:06.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!@@PYTHON@@
+ import sys, os
+ import optparse
+ 
+@@ -16,7 +16,7 @@
+     os.dup2(fd, 2)
+     os.close(fd)
+ 
+-sys.path.insert(0, '/usr/share/yum-cli')
++sys.path.insert(0, '@@PREFIX@@/share/yum-cli')
+ try:
+     import yumupd
+     yumupd.main(options)
 --- ./callback.py.orig	2007-02-03 20:49:32.000000000 +0100
 +++ ./callback.py	2007-06-19 18:17:13.000000000 +0200
@@ -25,13 +42,13 @@
  # the Free Software Foundation; either version 2 of the License, or
     yumupd.main(options)
---- cli.py.orig	2007-06-05 21:53:46.000000000 +0200
-+++ cli.py	2007-06-29 12:57:52.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/bin/python -t
-+#!@@PYTHON@@ -t
- # This program is free software; you can redistribute it and/or modify
- # it under the terms of the GNU General Public License as published by
- # the Free Software Foundation; either version 2 of the License, or
-@@ -1171,10 +1171,10 @@
+--- cli.py.orig 2007-08-15 17:48:03.000000000 +0200
++++ cli.py      2007-08-28 17:08:57.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python -t
++#!@@PYTHON@@ -t
+ # This program is free software; you can redistribute it and/or modify
+ # it under the terms of the GNU General Public License as published by
+ # the Free Software Foundation; either version 2 of the License, or
+@@ -1207,10 +1207,10 @@
          if opts.installroot:
              if os.access(opts.installroot+'/'+opts.conffile, os.R_OK):
@@ -48,5 +65,5 @@
          else:
              root = '/'
-@@ -1195,7 +1195,7 @@
+@@ -1231,7 +1231,7 @@
                  help="be tolerant of errors")
          self.add_option("-C", dest="cacheonly", action="store_true",
@@ -126,4 +143,10 @@
 --- ./i18n.py.orig	2004-01-28 08:31:02.000000000 +0100
 +++ ./i18n.py	2007-06-20 16:27:22.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python
++#!/@@PYTHON@@
+ """i18n abstraction
+ 
+ License: GPL
 @@ -17,7 +17,7 @@
          t = gettext.translation('yum')
@@ -135,7 +158,7 @@
          _ = gettext.gettext
  
---- ./Makefile.orig	2007-02-16 03:01:51.000000000 +0100
-+++ ./Makefile	2007-06-20 16:25:49.000000000 +0200
-@@ -17,18 +17,18 @@
+--- Makefile.orig	2007-08-22 06:10:48.000000000 +0200
++++ Makefile	2007-08-28 16:58:56.000000000 +0200
+@@ -17,19 +17,19 @@
  	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) -C $$d; [ $$? = 0 ] || exit 1 ; done
  
@@ -160,5 +183,7 @@
  
 -	mkdir -p $(DESTDIR)/var/cache/yum
+-	mkdir -p $(DESTDIR)/var/lib/yum	
 +	mkdir -p $(DESTDIR)@@PREFIX@@/var/cache/yum
++	mkdir -p $(DESTDIR)@@PREFIX@@/var/lib/yum	
  
  	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
@@ -341,6 +366,6 @@
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
---- ./yum/config.py.orig	2007-04-26 16:12:30.000000000 +0200
-+++ ./yum/config.py	2007-06-20 16:39:03.000000000 +0200
+--- yum/config.py.orig	2007-08-17 07:46:51.000000000 +0200
++++ yum/config.py	2007-08-28 17:01:05.000000000 +0200
 @@ -1,4 +1,4 @@
 -#!/usr/bin/python -t
@@ -351,5 +376,5 @@
 @@ -461,8 +461,8 @@
      installroot = Option('/')
- 
+     config_file_path = Option('/etc/yum/yum.conf')
      plugins = BoolOption(False)
 -    pluginpath = ListOption(['/usr/share/yum-plugins', '/usr/lib/yum-plugins'])
@@ -360,10 +385,12 @@
  class YumConf(StartupConf):
      '''
-@@ -473,10 +473,10 @@
+@@ -473,11 +473,11 @@
      retries = IntOption(10)
      recent = IntOption(7)
  
 -    cachedir = Option('/var/cache/yum')
+-    persistdir = Option('/var/lib/yum')
 +    cachedir = Option('@@PREFIX@@/var/cache/yum')
++    persistdir = Option('@@PREFIX@@/var/lib/yum')
      keepcache = BoolOption(True)
 -    logfile = Option('/var/log/yum.log')
@@ -385,13 +412,13 @@
  #transaction set states
  TS_UPDATE = 10
---- ./yum/depsolve.py.orig	2007-04-25 20:55:36.000000000 +0200
-+++ ./yum/depsolve.py	2007-06-20 16:47:02.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/bin/python -t
-+#!@@PYTHON@@ -t
- # This program is free software; you can redistribute it and/or modify
- # it under the terms of the GNU General Public License as published by
- # the Free Software Foundation; either version 2 of the License, or
-@@ -119,7 +119,7 @@
+--- yum/depsolve.py.orig    2007-08-21 19:30:05.000000000 +0200
++++ yum/depsolve.py 2007-08-28 17:03:37.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python -t
++#!@@PYTHON@@ -t
+ # This program is free software; you can redistribute it and/or modify
+ # it under the terms of the GNU General Public License as published by
+ # the Free Software Foundation; either version 2 of the License, or
+@@ -130,7 +130,7 @@
          # filelists.xml for all repos to make the searchProvides more complete.
          if name[0] == '/':
@@ -457,4 +484,20 @@
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
+--- ./yum/rpmsack.py.orig	2007-04-27 15:16:12.000000000 +0200
++++ ./yum/rpmsack.py	2007-06-19 18:17:13.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python -tt
++#!@@PYTHON@@ -tt
+ # This program is free software; you can redistribute it and/or modify
+ # it under the terms of the GNU General Public License as published by
+ # the Free Software Foundation; either version 2 of the License, or
+--- yum/rpmtrans.py.orig	2007-08-15 19:27:19.000000000 +0200
++++ yum/rpmtrans.py	2007-08-28 17:12:01.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python -t
++#!@@PYTHON@@ -t
+ # This program is free software; you can redistribute it and/or modify
+ # it under the terms of the GNU General Public License as published by
+ # the Free Software Foundation; either version 2 of the License, or
 --- ./yum/repos.py.orig	2007-04-25 20:55:36.000000000 +0200
 +++ ./yum/repos.py	2007-06-19 18:17:13.000000000 +0200
@@ -465,20 +508,4 @@
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
---- ./yum/rpmsack.py.orig	2007-04-27 15:16:12.000000000 +0200
-+++ ./yum/rpmsack.py	2007-06-19 18:17:13.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/bin/python -tt
-+#!@@PYTHON@@ -tt
- # This program is free software; you can redistribute it and/or modify
- # it under the terms of the GNU General Public License as published by
- # the Free Software Foundation; either version 2 of the License, or
---- ./yum/sqlitecache.py.orig	2007-04-04 01:03:50.000000000 +0200
-+++ ./yum/sqlitecache.py	2007-06-19 18:17:13.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/bin/python -tt
-+#!@@PYTHON@@ -tt
- 
- # This program is free software; you can redistribute it and/or modify
- # it under the terms of the GNU General Public License as published by
 --- ./yum/sqlitesack.py.orig	2007-04-25 20:55:36.000000000 +0200
 +++ ./yum/sqlitesack.py	2007-06-19 18:17:13.000000000 +0200
@@ -497,12 +524,4 @@
  # utility functions to handle differences in pysqlite versions
  # These are from Wichert Akkerman <wichert@deephackmode.org>'s python-dhm
---- ./yum/storagefactory.py.orig	2006-12-02 05:20:03.000000000 +0100
-+++ ./yum/storagefactory.py	2007-06-19 18:17:13.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/bin/python -tt
-+#!@@PYTHON@@ -tt
- # This program is free software; you can redistribute it and/or modify
- # it under the terms of the GNU General Public License as published by
- # the Free Software Foundation; either version 2 of the License, or
 --- ./yum/update_md.py.orig	2007-05-15 14:18:08.000000000 +0200
 +++ ./yum/update_md.py	2007-06-19 18:17:13.000000000 +0200