Index: trunk/dports/editors/vim-app/Portfile
===================================================================
--- trunk/dports/editors/vim-app/Portfile	(revision 37849)
+++ trunk/dports/editors/vim-app/Portfile	(revision 37850)
@@ -6,5 +6,5 @@
 set realname        vim
 set vim_version     7.1
-set vim_patchlevel  311
+set vim_patchlevel  330
 version             ${vim_version}.${vim_patchlevel}
 categories          editors
Index: trunk/dports/editors/vim-app/files/patchlist
===================================================================
--- trunk/dports/editors/vim-app/files/patchlist	(revision 37849)
+++ trunk/dports/editors/vim-app/files/patchlist	(revision 37850)
@@ -7,6 +7,5 @@
     set high [expr $low + 99];
     # temporary workaround: don't fetch 101-200 gzipped, due to 126ne
-    # if {$high < $patchlevel} {}
-    if {$high < 199} {
+    if {$high < $patchlevel && ($low < 101 || $low > 200)} {
       lappend files \
         [format "%s.%03d-%03d.gz" $vim_version $low $high]
@@ -130,104 +129,5 @@
   7.1.199 md5 fe6aba6e3cf7b0ae91dc128846a94685 \
   7.1.200 md5 28725de93250b1bbf5356db9188a2b5c \
-  7.1.201 md5 e17d2249aa5c5538e7314e108ad3ba4d \
-  7.1.202 md5 2c77d99254d4328d95b580f982e4e72a \
-  7.1.203 md5 eadc6ebe74cd457736cc06a18c6b2164 \
-  7.1.204 md5 40ed0cdcf081b320271cc8ec74f79933 \
-  7.1.205 md5 b346d2655878f3e88be2d548f12dfe81 \
-  7.1.206 md5 66e67642a8a650e988d1b497d34030e8 \
-  7.1.207 md5 72f576afe18b4b041f2cece6b6c12457 \
-  7.1.208 md5 670d7627dcd8ec87dc04bcddb885f606 \
-  7.1.209 md5 420bac1c549fe37edc46a931ac986e9d \
-  7.1.210 md5 3c8a2ce037126331210af10fca70b00f \
-  7.1.211 md5 8768aabea51c2cc9fb3c38448cf30dae \
-  7.1.212 md5 78ba807a6ee5be6146ee45ff6b985014 \
-  7.1.213 md5 04fff3dbd11bba1332399bd326ea466b \
-  7.1.214 md5 d79f4148c6bb11ea9722f60da8a8a54f \
-  7.1.215 md5 5b704135a2f304d2d9778b39f31850bf \
-  7.1.216 md5 6857755d82b689ac92a3d29ff1907b3b \
-  7.1.217 md5 cc5e12380e87e531f13017f6232fb6b8 \
-  7.1.218 md5 eda3c5d52bc6ab06404b20fbaa2a9487 \
-  7.1.219 md5 8be94f342ab53e41915fceea6e376fed \
-  7.1.220 md5 fb3d07305eb6c8b86aadbd56992263f8 \
-  7.1.221 md5 05658813b00759a7e7dd3466613dbf51 \
-  7.1.222 md5 c50a0a58f563d0b8231e7fa0a1a7eb1f \
-  7.1.223 md5 9b94d3f2ad1b673f47222a3cb2f0f598 \
-  7.1.224 md5 05aa90de77449272380f011f6c44b08e \
-  7.1.225 md5 bf05ff107b3e74c591f9dc753e99e183 \
-  7.1.226 md5 ff655c390e4d900742fa207de9e06694 \
-  7.1.227 md5 d6781c0e98e74dcbbe34411bde19f42d \
-  7.1.228 md5 f2210138e17bb028b3ff38b2aa88b605 \
-  7.1.229 md5 27bb4699ee0cc330864991c976f877e6 \
-  7.1.230 md5 5768b5210648d1cb49870abd1db0f928 \
-  7.1.231 md5 c8b876a37be8d28d7a52eecdc02e3647 \
-  7.1.232 md5 5d6b0d73c9162fc841c6420e58682e4c \
-  7.1.233 md5 cf04113cac2db2cf4faf7c57fb945c61 \
-  7.1.234 md5 2f36950a9eb37f507182c1555e6829c3 \
-  7.1.235 md5 92617a388e542412121db06903cd9829 \
-  7.1.236 md5 7dbbec932d7b74900e94a009a67ed5ae \
-  7.1.237 md5 28cf49d8574ddda49c7b537187dc7e27 \
-  7.1.238 md5 91063469c675e57ba858d03e537f28d3 \
-  7.1.239 md5 f1a13e0b8139717df2676d09460e3170 \
-  7.1.240 md5 7f474b5fa99332a7f247273f8ecf76a6 \
-  7.1.241 md5 d05df826d27b4d4e0ab6bd513ee3a5f4 \
-  7.1.242 md5 da771b661ca4ccfccf75dcab4a2216db \
-  7.1.243 md5 0deab5cb838bfdef2b7c8cd38db2ae10 \
-  7.1.244 md5 91d763a11bbe837a5cf24563906ccf5e \
-  7.1.245 md5 b89fcbaea000521f8164d14bfe9d0907 \
-  7.1.246 md5 95723fa40499c34db9d5080d642c622f \
-  7.1.247 md5 efde19504f68fb8c0506ceaa223a75be \
-  7.1.248 md5 f38f474c8b75271f59e9479591a4ec85 \
-  7.1.249 md5 a9412b0053692a38595f171f8138b497 \
-  7.1.250 md5 dd744c693e654a4e9e3f53588f88c0b7 \
-  7.1.251 md5 0a1c90623c0c60d1451bd2076187823b \
-  7.1.252 md5 396cff8efdcb710ed75285cdf8479d7d \
-  7.1.253 md5 e86fd3fd9b590078b21191f7dc382b06 \
-  7.1.254 md5 94fa7b9ba7aa6d1ff15f4f67ea4f159e \
-  7.1.255 md5 72ec02e8c8be051cff739162f48e4ad1 \
-  7.1.256 md5 6fa1b4355ac0503965cc5d3db59ed0da \
-  7.1.257 md5 345d98fd44413af2084ca6764e2a374c \
-  7.1.258 md5 c95e0425b06f1291e9b8aec1990355f3 \
-  7.1.259 md5 9786a3df400cd734972549ba5066dbfe \
-  7.1.260 md5 4a0e07f028cadfbd13a9e9a9b358e3e6 \
-  7.1.261 md5 7cdd28a79a967559c64dea6ed4e0908e \
-  7.1.262 md5 361b7f4ec5792a29658ecbb0eab116bc \
-  7.1.263 md5 e36d91a3e394b25fda61794a0d19385d \
-  7.1.264 md5 a62d91d2f6b5b2d2b64598c920713800 \
-  7.1.265 md5 d6d548a35d5aac48e05a399575804631 \
-  7.1.266 md5 8a87019da7643bec58468e815ca02d73 \
-  7.1.267 md5 e0faca4ff920e310ebd93f6da28539b6 \
-  7.1.268 md5 ca6552db3e711119fc01a8d9e17a8af3 \
-  7.1.269 md5 2b5bac09132db7aaf252ab6d78a74f0d \
-  7.1.270 md5 0e34370e4754eb1e484bd19b4e477d9b \
-  7.1.271 md5 6d158a103f5377ad5df8b7c0b967e2fa \
-  7.1.272 md5 fc2938c51018396e10e748620f8d2f7f \
-  7.1.273 md5 42ecc4759458ad93246c1b19ecce6a15 \
-  7.1.274 md5 445f6f4f346717bdb6614c6a70c41442 \
-  7.1.275 md5 32075aa79f8ce48ef1837d8e033b84d9 \
-  7.1.276 md5 0fe0b10471c7e36215db962094028c05 \
-  7.1.277 md5 4364938bc6a6daabf771d6d9aaabc63c \
-  7.1.278 md5 5fd020f08de35a53765c877f65c1aa8c \
-  7.1.279 md5 5d3180e7b661c7488c4c7595b45fd1dd \
-  7.1.280 md5 2ccf6dadb87d70594c070c179917f561 \
-  7.1.281 md5 1f6237a15cc4873e163a5f0bd85223c5 \
-  7.1.282 md5 ecb63ee16fa69b3c923f25cba2a8dd9c \
-  7.1.283 md5 49d3d772edbe80af70eb70036dd44adc \
-  7.1.284 md5 28f0c0e9b04c737efbd1928487c5ff0c \
-  7.1.285 md5 34db61a9920054c326dde2a76a1981d2 \
-  7.1.286 md5 f506fa89898efaabaf9becc2be814652 \
-  7.1.287 md5 91b5ec45da824b0ddae2c56f63dad970 \
-  7.1.288 md5 f7f9eb42408686f2320b7735eb4953e0 \
-  7.1.289 md5 3263bb2b0891b660bd324f2514d3cfa0 \
-  7.1.290 md5 fbcacf2d64a90af6c62ba51507e88eb5 \
-  7.1.291 md5 2f35b46c4b93f4ea8d572081bfb4a34e \
-  7.1.292 md5 476857063c461d491fb6321f80db4837 \
-  7.1.293 md5 9ce9b70e3b41231ac02519d08b4047cb \
-  7.1.294 md5 22b56382d8981970408d756988aa1d54 \
-  7.1.295 md5 854f1086b5856052413caa519c695b4e \
-  7.1.296 md5 5abf81e711ffde20fe4feccca95684c8 \
-  7.1.297 md5 c7df3c6ce12cf9e33335890f7f169c5f \
-  7.1.298 md5 f0d030613e3a883dbdc73263c0751145 \
-  7.1.299 md5 91d8f03873238aa39341e291358a7b06 \
-  7.1.300 md5 b94fe449244cffdbd704bb8fa71bcae8 \
+  7.1.201-300.gz md5 01d91c047d525227923fc1a66709ebfa \
   7.1.301 md5 193c2520750fab8d3294e160d9395f31 \
   7.1.302 md5 ca97f68b3435d0eb640156fcda9cc2b0 \
@@ -240,3 +140,22 @@
   7.1.309 md5 72a47b247eb6766facdbd2a1bba983b3 \
   7.1.310 md5 21f5e52f31d7bc023cbab7119361cade \
-  7.1.311 md5 af930845ac6e7bed800025e69cb7f970
+  7.1.311 md5 af930845ac6e7bed800025e69cb7f970 \
+  7.1.312 md5 5c702d113f7da78499e033dcd7b7a5e0 \
+  7.1.313 md5 865639f20efa6046e521bcb65e91e7fb \
+  7.1.314 md5 7cb1981effee719674b0e164921a3ada \
+  7.1.315 md5 fd886913727b34a7a80769ac6e80c1e4 \
+  7.1.316 md5 2417cd0322eddf495cc897d68e3e2259 \
+  7.1.317 md5 ace5899ce7079364c36dac64d6fc21d0 \
+  7.1.318 md5 5626eec5c76221648af6b749cf0ecfda \
+  7.1.319 md5 ab7cc01cee532e404c0bdd0771c9ee69 \
+  7.1.320 md5 4bece414d63547658ed69c18ced9996a \
+  7.1.321 md5 c44d174790804d5583d2ce37820d0c89 \
+  7.1.322 md5 ef9a7c6459da5487bedb82d69d79f7eb \
+  7.1.323 md5 295d6930c73624fb3ee5d30f06b386d7 \
+  7.1.324 md5 113ed815724386a9840b6ceb85439620 \
+  7.1.325 md5 6f16dfcebe931f2a7ebe45e26cb64330 \
+  7.1.326 md5 f41419839264f06595afa8f8d0fdd315 \
+  7.1.327 md5 690622e5df73100a533ea62418b37ce2 \
+  7.1.328 md5 9255c2f5805ab049331105a91f2402ee \
+  7.1.329 md5 37def9c17149c2533d6aab1815f48254 \
+  7.1.330 md5 eac6819a4dae273f44b3c612e6bbe1b7
Index: trunk/dports/editors/vim/Portfile
===================================================================
--- trunk/dports/editors/vim/Portfile	(revision 37849)
+++ trunk/dports/editors/vim/Portfile	(revision 37850)
@@ -5,5 +5,5 @@
 name                vim
 set vim_version     7.1
-set vim_patchlevel  311
+set vim_patchlevel  330
 version             ${vim_version}.${vim_patchlevel}
 categories          editors
Index: trunk/dports/editors/vim/files/patchlist
===================================================================
--- trunk/dports/editors/vim/files/patchlist	(revision 37849)
+++ trunk/dports/editors/vim/files/patchlist	(revision 37850)
@@ -7,6 +7,5 @@
     set high [expr $low + 99];
     # temporary workaround: don't fetch 101-200 gzipped, due to 126ne
-    # if {$high < $patchlevel} {}
-    if {$high < 199} {
+    if {$high < $patchlevel && ($low < 101 || $low > 200)} {
       lappend files \
         [format "%s.%03d-%03d.gz" $vim_version $low $high]
@@ -130,104 +129,5 @@
   7.1.199 md5 fe6aba6e3cf7b0ae91dc128846a94685 \
   7.1.200 md5 28725de93250b1bbf5356db9188a2b5c \
-  7.1.201 md5 e17d2249aa5c5538e7314e108ad3ba4d \
-  7.1.202 md5 2c77d99254d4328d95b580f982e4e72a \
-  7.1.203 md5 eadc6ebe74cd457736cc06a18c6b2164 \
-  7.1.204 md5 40ed0cdcf081b320271cc8ec74f79933 \
-  7.1.205 md5 b346d2655878f3e88be2d548f12dfe81 \
-  7.1.206 md5 66e67642a8a650e988d1b497d34030e8 \
-  7.1.207 md5 72f576afe18b4b041f2cece6b6c12457 \
-  7.1.208 md5 670d7627dcd8ec87dc04bcddb885f606 \
-  7.1.209 md5 420bac1c549fe37edc46a931ac986e9d \
-  7.1.210 md5 3c8a2ce037126331210af10fca70b00f \
-  7.1.211 md5 8768aabea51c2cc9fb3c38448cf30dae \
-  7.1.212 md5 78ba807a6ee5be6146ee45ff6b985014 \
-  7.1.213 md5 04fff3dbd11bba1332399bd326ea466b \
-  7.1.214 md5 d79f4148c6bb11ea9722f60da8a8a54f \
-  7.1.215 md5 5b704135a2f304d2d9778b39f31850bf \
-  7.1.216 md5 6857755d82b689ac92a3d29ff1907b3b \
-  7.1.217 md5 cc5e12380e87e531f13017f6232fb6b8 \
-  7.1.218 md5 eda3c5d52bc6ab06404b20fbaa2a9487 \
-  7.1.219 md5 8be94f342ab53e41915fceea6e376fed \
-  7.1.220 md5 fb3d07305eb6c8b86aadbd56992263f8 \
-  7.1.221 md5 05658813b00759a7e7dd3466613dbf51 \
-  7.1.222 md5 c50a0a58f563d0b8231e7fa0a1a7eb1f \
-  7.1.223 md5 9b94d3f2ad1b673f47222a3cb2f0f598 \
-  7.1.224 md5 05aa90de77449272380f011f6c44b08e \
-  7.1.225 md5 bf05ff107b3e74c591f9dc753e99e183 \
-  7.1.226 md5 ff655c390e4d900742fa207de9e06694 \
-  7.1.227 md5 d6781c0e98e74dcbbe34411bde19f42d \
-  7.1.228 md5 f2210138e17bb028b3ff38b2aa88b605 \
-  7.1.229 md5 27bb4699ee0cc330864991c976f877e6 \
-  7.1.230 md5 5768b5210648d1cb49870abd1db0f928 \
-  7.1.231 md5 c8b876a37be8d28d7a52eecdc02e3647 \
-  7.1.232 md5 5d6b0d73c9162fc841c6420e58682e4c \
-  7.1.233 md5 cf04113cac2db2cf4faf7c57fb945c61 \
-  7.1.234 md5 2f36950a9eb37f507182c1555e6829c3 \
-  7.1.235 md5 92617a388e542412121db06903cd9829 \
-  7.1.236 md5 7dbbec932d7b74900e94a009a67ed5ae \
-  7.1.237 md5 28cf49d8574ddda49c7b537187dc7e27 \
-  7.1.238 md5 91063469c675e57ba858d03e537f28d3 \
-  7.1.239 md5 f1a13e0b8139717df2676d09460e3170 \
-  7.1.240 md5 7f474b5fa99332a7f247273f8ecf76a6 \
-  7.1.241 md5 d05df826d27b4d4e0ab6bd513ee3a5f4 \
-  7.1.242 md5 da771b661ca4ccfccf75dcab4a2216db \
-  7.1.243 md5 0deab5cb838bfdef2b7c8cd38db2ae10 \
-  7.1.244 md5 91d763a11bbe837a5cf24563906ccf5e \
-  7.1.245 md5 b89fcbaea000521f8164d14bfe9d0907 \
-  7.1.246 md5 95723fa40499c34db9d5080d642c622f \
-  7.1.247 md5 efde19504f68fb8c0506ceaa223a75be \
-  7.1.248 md5 f38f474c8b75271f59e9479591a4ec85 \
-  7.1.249 md5 a9412b0053692a38595f171f8138b497 \
-  7.1.250 md5 dd744c693e654a4e9e3f53588f88c0b7 \
-  7.1.251 md5 0a1c90623c0c60d1451bd2076187823b \
-  7.1.252 md5 396cff8efdcb710ed75285cdf8479d7d \
-  7.1.253 md5 e86fd3fd9b590078b21191f7dc382b06 \
-  7.1.254 md5 94fa7b9ba7aa6d1ff15f4f67ea4f159e \
-  7.1.255 md5 72ec02e8c8be051cff739162f48e4ad1 \
-  7.1.256 md5 6fa1b4355ac0503965cc5d3db59ed0da \
-  7.1.257 md5 345d98fd44413af2084ca6764e2a374c \
-  7.1.258 md5 c95e0425b06f1291e9b8aec1990355f3 \
-  7.1.259 md5 9786a3df400cd734972549ba5066dbfe \
-  7.1.260 md5 4a0e07f028cadfbd13a9e9a9b358e3e6 \
-  7.1.261 md5 7cdd28a79a967559c64dea6ed4e0908e \
-  7.1.262 md5 361b7f4ec5792a29658ecbb0eab116bc \
-  7.1.263 md5 e36d91a3e394b25fda61794a0d19385d \
-  7.1.264 md5 a62d91d2f6b5b2d2b64598c920713800 \
-  7.1.265 md5 d6d548a35d5aac48e05a399575804631 \
-  7.1.266 md5 8a87019da7643bec58468e815ca02d73 \
-  7.1.267 md5 e0faca4ff920e310ebd93f6da28539b6 \
-  7.1.268 md5 ca6552db3e711119fc01a8d9e17a8af3 \
-  7.1.269 md5 2b5bac09132db7aaf252ab6d78a74f0d \
-  7.1.270 md5 0e34370e4754eb1e484bd19b4e477d9b \
-  7.1.271 md5 6d158a103f5377ad5df8b7c0b967e2fa \
-  7.1.272 md5 fc2938c51018396e10e748620f8d2f7f \
-  7.1.273 md5 42ecc4759458ad93246c1b19ecce6a15 \
-  7.1.274 md5 445f6f4f346717bdb6614c6a70c41442 \
-  7.1.275 md5 32075aa79f8ce48ef1837d8e033b84d9 \
-  7.1.276 md5 0fe0b10471c7e36215db962094028c05 \
-  7.1.277 md5 4364938bc6a6daabf771d6d9aaabc63c \
-  7.1.278 md5 5fd020f08de35a53765c877f65c1aa8c \
-  7.1.279 md5 5d3180e7b661c7488c4c7595b45fd1dd \
-  7.1.280 md5 2ccf6dadb87d70594c070c179917f561 \
-  7.1.281 md5 1f6237a15cc4873e163a5f0bd85223c5 \
-  7.1.282 md5 ecb63ee16fa69b3c923f25cba2a8dd9c \
-  7.1.283 md5 49d3d772edbe80af70eb70036dd44adc \
-  7.1.284 md5 28f0c0e9b04c737efbd1928487c5ff0c \
-  7.1.285 md5 34db61a9920054c326dde2a76a1981d2 \
-  7.1.286 md5 f506fa89898efaabaf9becc2be814652 \
-  7.1.287 md5 91b5ec45da824b0ddae2c56f63dad970 \
-  7.1.288 md5 f7f9eb42408686f2320b7735eb4953e0 \
-  7.1.289 md5 3263bb2b0891b660bd324f2514d3cfa0 \
-  7.1.290 md5 fbcacf2d64a90af6c62ba51507e88eb5 \
-  7.1.291 md5 2f35b46c4b93f4ea8d572081bfb4a34e \
-  7.1.292 md5 476857063c461d491fb6321f80db4837 \
-  7.1.293 md5 9ce9b70e3b41231ac02519d08b4047cb \
-  7.1.294 md5 22b56382d8981970408d756988aa1d54 \
-  7.1.295 md5 854f1086b5856052413caa519c695b4e \
-  7.1.296 md5 5abf81e711ffde20fe4feccca95684c8 \
-  7.1.297 md5 c7df3c6ce12cf9e33335890f7f169c5f \
-  7.1.298 md5 f0d030613e3a883dbdc73263c0751145 \
-  7.1.299 md5 91d8f03873238aa39341e291358a7b06 \
-  7.1.300 md5 b94fe449244cffdbd704bb8fa71bcae8 \
+  7.1.201-300.gz md5 01d91c047d525227923fc1a66709ebfa \
   7.1.301 md5 193c2520750fab8d3294e160d9395f31 \
   7.1.302 md5 ca97f68b3435d0eb640156fcda9cc2b0 \
@@ -240,3 +140,22 @@
   7.1.309 md5 72a47b247eb6766facdbd2a1bba983b3 \
   7.1.310 md5 21f5e52f31d7bc023cbab7119361cade \
-  7.1.311 md5 af930845ac6e7bed800025e69cb7f970
+  7.1.311 md5 af930845ac6e7bed800025e69cb7f970 \
+  7.1.312 md5 5c702d113f7da78499e033dcd7b7a5e0 \
+  7.1.313 md5 865639f20efa6046e521bcb65e91e7fb \
+  7.1.314 md5 7cb1981effee719674b0e164921a3ada \
+  7.1.315 md5 fd886913727b34a7a80769ac6e80c1e4 \
+  7.1.316 md5 2417cd0322eddf495cc897d68e3e2259 \
+  7.1.317 md5 ace5899ce7079364c36dac64d6fc21d0 \
+  7.1.318 md5 5626eec5c76221648af6b749cf0ecfda \
+  7.1.319 md5 ab7cc01cee532e404c0bdd0771c9ee69 \
+  7.1.320 md5 4bece414d63547658ed69c18ced9996a \
+  7.1.321 md5 c44d174790804d5583d2ce37820d0c89 \
+  7.1.322 md5 ef9a7c6459da5487bedb82d69d79f7eb \
+  7.1.323 md5 295d6930c73624fb3ee5d30f06b386d7 \
+  7.1.324 md5 113ed815724386a9840b6ceb85439620 \
+  7.1.325 md5 6f16dfcebe931f2a7ebe45e26cb64330 \
+  7.1.326 md5 f41419839264f06595afa8f8d0fdd315 \
+  7.1.327 md5 690622e5df73100a533ea62418b37ce2 \
+  7.1.328 md5 9255c2f5805ab049331105a91f2402ee \
+  7.1.329 md5 37def9c17149c2533d6aab1815f48254 \
+  7.1.330 md5 eac6819a4dae273f44b3c612e6bbe1b7