Index: trunk/dports/devel/subversion-javahlbindings/Portfile
===================================================================
--- trunk/dports/devel/subversion-javahlbindings/Portfile	(revision 37859)
+++ trunk/dports/devel/subversion-javahlbindings/Portfile	(revision 37860)
@@ -5,4 +5,5 @@
 name			subversion-javahlbindings
 version			1.5.0
+revision		1
 categories		devel java
 platforms		darwin
@@ -29,5 +30,5 @@
 			port:junit \
 			port:gettext port:libiconv \
-			port:serf
+			port:serf port:cyrus-sasl2
 
 configure.cxx		g++
@@ -38,4 +39,5 @@
 			--mandir=\\\${prefix}/share/man \
 			--disable-neon-version-check --with-serf=${prefix} \
+			--with-sasl=${prefix} \
 			--with-javahl --without-jikes \
 			--with-junit=${prefix}/share/java/junit.jar
Index: trunk/dports/devel/subversion-perlbindings/Portfile
===================================================================
--- trunk/dports/devel/subversion-perlbindings/Portfile	(revision 37859)
+++ trunk/dports/devel/subversion-perlbindings/Portfile	(revision 37860)
@@ -5,4 +5,5 @@
 name			subversion-perlbindings
 version			1.5.0
+revision		1
 categories		devel perl
 platforms		darwin
@@ -32,5 +33,5 @@
 			path:${prefix}/bin/perl:perl5.8 \
 			port:gettext port:libiconv \
-			port:serf
+			port:serf port:cyrus-sasl2
 
 configure.args		--with-berkeley-db=${prefix}/include/db46:${prefix}/lib/db46 \
@@ -39,4 +40,5 @@
 			--mandir=\\\${prefix}/share/man \
 			--disable-neon-version-check --with-serf=${prefix} \
+			--with-sasl=${prefix \
 			--with-perl5=${prefix}/bin/perl
 
Index: trunk/dports/devel/subversion-python25bindings/Portfile
===================================================================
--- trunk/dports/devel/subversion-python25bindings/Portfile	(revision 37859)
+++ trunk/dports/devel/subversion-python25bindings/Portfile	(revision 37860)
@@ -5,4 +5,5 @@
 name			subversion-python25bindings
 version			1.5.0
+revision		1
 categories		devel python
 platforms		darwin
@@ -30,5 +31,5 @@
 			port:py25-bsddb \
 			port:gettext port:libiconv \
-			port:serf
+			port:serf port:cyrus-sasl2
 
 post-patch {
@@ -43,5 +44,6 @@
 			--with-apr-util=${prefix} --without-apxs \
 			--mandir=\\\${prefix}/share/man \
-			--disable-neon-version-check --with-serf=${prefix}
+			--disable-neon-version-check --with-serf=${prefix} \
+			--with-sasl=${prefix}
 
 configure.env		ac_cv_path_PYTHON=${prefix}/bin/python2.5
Index: trunk/dports/devel/subversion-rubybindings/Portfile
===================================================================
--- trunk/dports/devel/subversion-rubybindings/Portfile	(revision 37859)
+++ trunk/dports/devel/subversion-rubybindings/Portfile	(revision 37860)
@@ -5,4 +5,5 @@
 name			subversion-rubybindings
 version			1.5.0
+revision		1
 categories		devel ruby
 platforms		darwin
@@ -32,5 +33,5 @@
 			port:ruby \
 			port:gettext port:libiconv \
-			port:serf
+			port:serf port:cyrus-sasl2
 
 configure.env		RUBY=${prefix}/bin/ruby
@@ -39,5 +40,6 @@
 			--with-apr-util=${prefix}/bin/apu-1-config --without-apxs \
 			--mandir=\\\${prefix}/share/man \
-			--disable-neon-version-check --with-serf=${prefix}
+			--disable-neon-version-check --with-serf=${prefix} \
+			--with-sasl=${prefix}
 
 build.target		swig-rb
Index: trunk/dports/devel/subversion/Portfile
===================================================================
--- trunk/dports/devel/subversion/Portfile	(revision 37859)
+++ trunk/dports/devel/subversion/Portfile	(revision 37860)
@@ -5,4 +5,5 @@
 name			subversion
 version			1.5.0
+revision		1
 categories		devel
 platforms		darwin
@@ -25,5 +26,5 @@
 			port:db46 \
 			port:gettext port:libiconv \
-			port:serf
+			port:serf port:cyrus-sasl2
 
 test.run		yes
@@ -37,5 +38,6 @@
 			--with-apr-util=${prefix}/bin/apu-1-config --without-apxs \
 			--mandir=\\\${prefix}/share/man \
-			--disable-neon-version-check --with-serf=${prefix}
+			--disable-neon-version-check --with-serf=${prefix} \
+			--with-sasl=${prefix}
 
 use_parallel_build	yes
@@ -97,9 +99,4 @@
                        	 		}
 
-variant sasl		description {Build with support for sasl2 authentication} {
-			depends_lib-append port:cyrus-sasl2
-			configure.args-append --with-sasl=${prefix}
-			}
-
 variant tools 		description {Install some optional extra subversion tools} {
 			build.target-append svnmucc