Index: branches/gsoc08-framework/MacPorts.Framework/MPInterpreter.m
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/MPInterpreter.m	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/MPInterpreter.m	(revision 37865)
@@ -130,5 +130,5 @@
 
 - (NSDictionary *)dictionaryFromTclListAsString:(NSString *)list {
-	return [NSDictionary dictionaryWithDictionary:[self  :list]];
+	return [NSDictionary dictionaryWithDictionary:[self  mutableDictionaryFromTclListAsString:list]];
 }
 
Index: branches/gsoc08-framework/MacPorts.Framework/MPInterpreterTest.m
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/MPInterpreterTest.m	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/MPInterpreterTest.m	(revision 37865)
@@ -66,5 +66,5 @@
 	
 }
-- (void)testEvaluateStringAsString; {
+- (void)testEvaluateStringAsString {
 	
 }
Index: branches/gsoc08-framework/MacPorts.Framework/MPMacPorts.h
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/MPMacPorts.h	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/MPMacPorts.h	(revision 37865)
@@ -34,9 +34,12 @@
  */
 
+
 #import <Cocoa/Cocoa.h>
 #import "MPInterpreter.h"
 #import "MPPort.h"
 
+
 #define MPPortsAll	@".+"
+
 
 /*!
Index: branches/gsoc08-framework/MacPorts.Framework/MPPort.h
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/MPPort.h	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/MPPort.h	(revision 37865)
@@ -34,8 +34,4 @@
  */
 
-/*!
- @class MPPort
- @abstract	A representation of a port.
- */
 
 #import <Cocoa/Cocoa.h>
@@ -44,4 +40,7 @@
 #import "MPReceipt.h"
 #import "MPRegistry.h"
+
+
+
 
 #define	MPPortStateUnknown		0
@@ -55,7 +54,9 @@
 #define MPPortWillExecuteTarget	@"org.macports.framework.port.willExecuteTarget"
 #define MPPortDidExecuteTarget	@"org.macports.framework.port.didExecuteTarget"
-
+/*!
+ @class MPPort
+ @abstract	A representation of a port.
+ */
 @interface MPPort : MPMutableDictionary {
-
 }
 
Index: branches/gsoc08-framework/MacPorts.Framework/MacPorts.Framework.xcodeproj/project.pbxproj
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/MacPorts.Framework.xcodeproj/project.pbxproj	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/MacPorts.Framework.xcodeproj/project.pbxproj	(revision 37865)
@@ -39,4 +39,5 @@
 		48E993950C82CAAE00219DDF /* MPMacPorts.m in Sources */ = {isa = PBXBuildFile; fileRef = 48E993930C82CAAE00219DDF /* MPMacPorts.m */; };
 		48E9939F0C82CEB000219DDF /* init.tcl in Resources */ = {isa = PBXBuildFile; fileRef = 48E9939E0C82CEB000219DDF /* init.tcl */; };
+		6E270BE10E1458DE00BAE687 /* init.tcl.original in Resources */ = {isa = PBXBuildFile; fileRef = 6E270BE00E1458DE00BAE687 /* init.tcl.original */; };
 		6E49F37B0DFFAB0B0030C3AF /* MPInterpreterTest.m in Sources */ = {isa = PBXBuildFile; fileRef = 489DD92E0C94674B00595506 /* MPInterpreterTest.m */; };
 		6E49F37F0DFFAFF80030C3AF /* MacPorts.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 8DC2EF5B0486A6940098B216 /* MacPorts.framework */; };
@@ -86,4 +87,5 @@
 		48F811BE0CE4636A009630DE /* MPRegistry.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPRegistry.h; sourceTree = "<group>"; };
 		48F811BF0CE4638C009630DE /* MPRegistry.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPRegistry.m; sourceTree = "<group>"; };
+		6E270BE00E1458DE00BAE687 /* init.tcl.original */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = init.tcl.original; sourceTree = "<group>"; };
 		6E88D1CA0DF4B90B00684E9F /* MPMacPortsTest.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MPMacPortsTest.h; sourceTree = "<group>"; };
 		6E88D1CB0DF4B90B00684E9F /* MPMacPortsTest.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MPMacPortsTest.m; sourceTree = "<group>"; };
@@ -158,4 +160,5 @@
 				489DD8F50C94365F00595506 /* Test-Info.plist */,
 				6EAFD8B70DEC614E00E97270 /* dummycommit.test */,
+				6E270BE00E1458DE00BAE687 /* init.tcl.original */,
 			);
 			name = Resources;
@@ -335,4 +338,5 @@
 				8DC2EF530486A6940098B216 /* InfoPlist.strings in Resources */,
 				48E9939F0C82CEB000219DDF /* init.tcl in Resources */,
+				6E270BE10E1458DE00BAE687 /* init.tcl.original in Resources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -534,6 +538,5 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_BIT_PRE_XCODE_3_1)";
-				ARCHS_STANDARD_32_BIT_PRE_XCODE_3_1 = "ppc i386";
+				ARCHS = "$(NATIVE_ARCH)";
 				COPY_PHASE_STRIP = YES;
 				FRAMEWORK_SEARCH_PATHS = (
Index: branches/gsoc08-framework/MacPorts.Framework/dummycommit.test
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/dummycommit.test	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/dummycommit.test	(revision 37865)
@@ -1,23 +1,3 @@
-I have modified this file
-Now I should do another commit to make sure my
-modifications are ok.
 
-George.
 
-//NSString * initFile = [[NSBundle bundleWithIdentifier:@"org.macports.frameworks.macports"]
-		//					   pathForResource:@"init" 
-		//					   ofType:@"tcl"];
-		NSBundle * tbun = [NSBundle bundleWithIdentifier:@"org.macports.frameworks.macports"];
-		if(tbun) {
-			NSLog(@"File found with path %@", [[NSBundle bundleForClass:[MPInterpreter class]] bundlePath]);
-		}
-		else{
-			NSLog(@"File not found with path %@", [[NSBundle bundleForClass:[MPInterpreter class]] bundlePath]);
-		}
-		
-		if( Tcl_EvalFile(_interpreter, [[tbun pathForResource:@"init"
-													   ofType:@"tcl"] UTF8String]) != TCL_OK) {
-			NSLog(@"Error in Tcl_EvalFile: %s", Tcl_GetStringResult(_interpreter));
-			Tcl_DeleteInterp(_interpreter);
-		}
-		
+
Index: branches/gsoc08-framework/MacPorts.Framework/init.tcl
===================================================================
--- branches/gsoc08-framework/MacPorts.Framework/init.tcl	(revision 37746)
+++ branches/gsoc08-framework/MacPorts.Framework/init.tcl	(revision 37865)
@@ -1,6 +1,12 @@
+#catch {source \
+#	[file join "/Library/Tcl" macports1.0 macports_fastload.tcl]}
+
+#Trying my own MacPorts build rather than default one on the system
 catch {source \
-	[file join "/Library/Tcl" macports1.0 macports_fastload.tcl]}
-	
+	[file join "/Users/Armahg/macportsbuild/build1/Library/Tcl" macports1.0 macports_fastload.tcl]}
+
+
 package require macports
+package require notifications
 
 # ui_options accessor
@@ -67,4 +73,62 @@
 
 
+#Modifying UI initialization to enable notifications
+proc ui_init {priority prefix channels message} {
+    # Get the list of channels.
+    try {
+        set channels [ui_channels $priority]
+    } catch * {
+        set channels [ui_channels_default $priority]
+    }
+
+    # Simplify ui_$priority.
+    set nbchans [llength $channels]
+    if {$nbchans == 0} {
+        proc ::ui_$priority {str} {
+		notifications send global testMacPortstNotification "$prefix\$str"
+		}
+    } else {
+        try {
+            set prefix [ui_prefix $priority]
+        } catch * {
+            set prefix [ui_prefix_default $priority]
+        }
+            
+		if {$nbchans == 1} {
+                set chan [lindex $channels 0]
+				
+				#Redefine ui_$priority here to also throw notifications of some sort
+				proc ::ui_$priority {str} {
+					#[subst { puts $chan "$prefix\$str" }]
+					subst { puts $chan "$prefix\$str" }
+
+					#Send notifications using NSDistributedNotificationCenter for now
+					#We need a way to name notifications based on given input, using
+					#testMacPortsNotification for now
+					notifications send global testMacPortstNotification "$prefix\$str"
+				}
+				
+				
+            } else {
+			
+			
+                proc ::ui_$priority {str} {
+					subst {
+						foreach chan \$channels {
+							puts $chan "$prefix\$str"
+						}
+					}
+					#Should we discriminate based on channel?
+					notifications send global testMacPortsNotification "$prefix\$str"
+				}
+            }
+			
+        # Call ui_$priority
+        ::ui_$priority $message
+    }
+}
+
+
+
 # Initialize dport
 # This must be done following parse of global options, as some options are
@@ -75,4 +139,2 @@
 	fatal "Failed to initialize ports system, $result"
 }
-
-